Skip to main content

Retrieve a customer by Email

GET 

/customer/customers/by_email/:email

Retrieves a single customer using the specified customer email address.

Looking up many customers?

This call is the right tool for one customer. To read hundreds or thousands, use the BigQuery SDK (JavaScript) instead of calling this in a loop: it returns the same Customer objects as this API, fully expanded, from your UltraCart data warehouse without REST rate limits. See BigQuery SDK Quickstart.

Request​

Responses​

Successful response

Was this page helpful?